/* Global settings */
body {
  font-family: verdana, tahoma, arial, sans-serif;
  text-align: left;
  background: #fff;
  color: #222;
  margin: 1em;
  padding: 0;
  font-size: 1em;
  line-height: 1.2em;
}


/* Links */
a:link { color: #22b; }
a.ulink:link { font-weight: bold; color: #55f; }
a:visited { color: #7e4988 ! important; }
a:hover, a:focus { color: #d30e08 ! important; }
a:active { color: #6b77b1 ! important;}


/* Book titlepage */
.book .titlepage {
  background: #f5f6f7;
  margin: 0px auto;
  padding: 0 1em;
}

.book hr {
  background: #dbddec;
  height: .3em;
  border: 0px;
  margin: 0 -1em;
  padding: 0;
}

div.dedication {
  padding-left: 1em;
}

/* Section titles */
h1.sect1, h1.preface, h1.part, h1.chapter, h1.appendix, .glossary h1, .index h1
 {
  background: #f5f6f7;
  border-bottom: .1em solid #dbddec;
  margin-bottom:1em;
  margin-top: 0;
  padding: .4em;
}

/* Scrolling parts
   The header is taller for sect1 and chapter pages than on the
   other pages.  Since we want fixed boxes, their top has to be calculated
   by trial and errors to fit below the static header box.*/

div.sect1, div.chapter, div.appendix, div.wrap {
  top: 11.55em;
}
div.preface, div.part, .index div.index {
  top: 10.15em;
}
div.sect1, div.appendix, div.preface, div.part, div.chapter, div.wrap, .index div.index {
/*  padding-left: .3em;*/
  overflow:auto;
  height: auto;
  position: fixed;
  left:1em;
  right:1em;
  bottom: 1em;
  border-bottom: 1em solid #dbddec;
}

div.important ul {
  padding-left: 1.5em;
  list-style-type: disc;
}

div.important ul li p {
  margin: 0px;
  padding: 0px 0.6em;
}

.package, .kernel, .installation, .commands, .testing, .configuration, .content {
  padding: 0 .5em .2em 0;
  margin: 0;
}

.lfs .package {
  background: #f5f6f7;
  border-bottom: 0.2em solid #dbddec;
  padding-top: .1em;
/*  margin-top: 0;*/
}
/*
.lfs .package p:first-child {
  margin-top: 0;
}*/

.lfs .configuration {
  background:   #fefefe;
  border-top: 0.2em solid #dbddec;
}

.lfs .content {
  background: #f5f6f7;
  border-top: 0.2em solid #dbddec;
  border-bottom: 0.2em solid #dbddec;
  padding-bottom: .1em;
  margin-bottom: .5em;
}

/* BEGIN Headers */
h1, h2, h3, h4, h5, h6, b, .strong {
  color: #000;
  font-weight: bold;
  line-height: 1em;
}

h1 {
  font-size: 173%;
  text-align: center;
}

.book h1 {
  margin: 0;
  padding: 0.4em;
}

.wrap h1 {
  background: #f5f6f7;
  margin: 0;
  padding: .4em;
}

h1.title sup {
  font-size: small;
}

h2 {
  font-size: 144%;
}

.book h2.subtitle {
  text-align: center;
  background: #dbddec;
  margin: 0;
  padding: 0.2em;
}

.appendix h2 {
  font-size: 133%;
  margin-top: .8em;
  margin-bottom: 0.2em;
}

h3 {
  font-size: 120%;
}

h4 {
  font-size: 110%;
}

.package h4, h5, h6 {
  font-size: 100%;
  font-style: italic;
}
/* END   Headers */

/* BEGIN Navigation */
div.navheader, div.navfooter {
  background: #ecedef;
  margin: 0;
  padding: 0.1em .5em;
}

div.navheader {
  border-bottom: .1em solid #dbddec;
}

/* no need for a footer now that the header is always visible */
div.navfooter {
  display:none;
}

/* Except for the first page (TOC), where the bottom is the only
   place where navigation is displayed. */

div.book + div.navfooter {
  display:block
}

@media print {
  .navfooter,
  .headerlinks {
    display: none;
  }

  div.navheader {
    position: absolute;
  }
}

div.navheader h4 {
  margin-top: .4em;
  margin-bottom: 0;
  text-align: center;
}

div.navheader h3 {
  margin-top: .2em;
  margin-bottom: 0;
  text-align: center;
}

div.navheader ul,
div.navfooter ul {
  padding: .2em .5em .5em .5em; /*top right bottom left*/
  margin: .5em 0;
  position: relative;
  background: #dbddec;
}

@media print {
  div.navheader ul,
  div.navheader ul {
    display: none;
  }
}

div.navheader ul li,
div.navfooter ul li {
  display: inline;
  width: 40%;
}

div.navheader ul li.prev,
div.navfooter ul li.prev {
  position: absolute;
  display: block;
  left: 0;
  text-align: left;
  padding: 0.2em 1em;
  margin-left: .4em;
}

div.navheader ul li.next,
div.navfooter ul li.next {
  position: absolute;
  display: block;
  text-align: right;
  right: 0;
  padding: 0.2em 1em;
  margin-right: .4em;
}

div.navheader ul li.prev p,
div.navfooter ul li.prev p,
div.navheader ul li.next p,
div.navfooter ul li.next p {
  padding: 0;
  margin: .1em 0;
}

div.navheader ul li.home,
div.navheader ul li.up,
div.navfooter ul li.home,
div.navfooter ul li.up {
  text-align: center;
  padding: 0;
  margin: 0 auto;
  display: block;
  color: #dbddec;
}
/* END   Navigation */

/* BEGIN TOC */
div.toc ul, div.index ul, div.navheader ul, div.navfooter ul {
  list-style: none;
}

div.toc {
  padding-left: 1em;
}

.book li.preface, .part li.appendix {
  margin-left: 1em;
}

.part li.preface {
  margin-left: 0em;
}

div.toc h3 {
  margin: 1em 0 .3em 0;
}

li.appendix h3, li.glossary h3, li.index h3 {
  margin: .5em
}

div.toc h4 {
  margin: .6em 0 .2em 0;
}
/* END   TOC */

li.chapter h4 a {
  display: block;
  margin-bottom: .4em
}

.dummy {
  display: block;
  font-weight: bold;
  font-size: 110%;
  margin: .6em 0 .2em 0;
}

span.blue {
  color: #2ac;
}

/* BEGIN Index */
.item {
    float: left;
    margin-right: 1em
}

.secitem {
    font-weight: normal;
    float: left;
    margin-right: 1em
}

.indexref {
    display: block;
}

.item + .indexref {
    margin-left: 20em;
}

.secitem + .indexref {
    margin-left: 19em;
}
/* END   Index */

/* BEGIN Admonitions */
div.admon img {
  padding: .3em;
}

div.admon h3 {
  display: inline;
  margin-left: 2em;
}

div.admon p {
  margin-left: .5em;
  padding-bottom: .4em;
}

div.admon pre {
  margin: 0.5em 3em;
}

div.note, div.tip {
  background-color: #fffff6;
  border: 2px solid #dbddec;
  width: 90%;
  margin: .5em auto;
}

div.important, div.warning, div.caution {
  background-color: #fffff6;
  border: medium solid #400;
  width: 90%;
  margin: .5em auto;
  color: #600;
}

div.important h3, div.warning h3, div.caution h3 {
  color: #900;
}

div.important em, div.warning em, div.caution em {
  color: #000;
  font-weight: bold;
}
/* END   Admonitions */

/* BEGIN table */
.table p.title {
  text-align: center;
  margin-top: 0;
  margin-bottom: .3em;
}

.table table, .informaltable {
  margin-left: auto;
  margin-right: auto;
}

.table table th, .table table td {
  padding: 0.2em 2em 0.2em 2em;
  text-align: left;
}
/* END   table */

.revhistory {
  padding-left: 1em;
}

.revhistory th {
  line-height: 2em;
  text-align: left;
}

.revhistory td {
  padding-right: 1em;
}


/* BEGIN variablelist as table */
.variablelist table {
  width: auto;
  margin: 0 1em 0 1em;
}

.variablelist td {
  vertical-align: top;
}

.variablelist td span, td p {
  margin: 0.25em;
}
/* END   variablelist as table */

/* BEGIN variablelist as list */
dl {
  padding-left: 1em
}

dt {
  font-weight: bold;
  margin-left: 1em;
}

dd {
  margin-bottom: .6em;
  margin-left: 1em;
}

dd p {
  margin-top: 0;
  margin-bottom: 0;
  padding-top: 0;
  padding-bottom: 0;
}

div.materials dt {
  display: list-item;
}

div.materials dd {
  margin-left: 0;
  padding-left: 0;
}
/* END   variablelist as list */

/* BEGIN segmentedlist */
.appendix .segmentedlist {
  padding-left: 1em;
}

.package .seg {
  margin-bottom: 0em;
  margin-top: 0em;
  clear: left;
}

.content .seg {
  margin-bottom: .4em;
  margin-top: .4em;
  clear: left;
}

.segtitle {
  float: left;
  padding-left: 1em;
  width: 14.5em;
}

.content .segtitle {
  width: 12em;
}

.package .segbody {
  display: block;
  padding-left: 14em;
}

.appendix .segbody{
  display: block;
  padding-left: 16em;
}

.content .segbody {
  display: block;
  padding-left: 13em;
}
/* END   segmentedlist */

.content table tr td:first-child
{
  width: 9em;
  padding-right: 0px;
}

.content table tr td:first-child p
{
  padding-right: 0px;
}

/* BEGIN itemizedlist */
ul {
  padding-left: 1em
}

.itemizedlist ul {
  margin-left: 1em
}

.itemizedlist li ul {
  margin-bottom: 1.2em;
}

.itemizedlist li ul li p {
  margin-top: .5em;
  margin-bottom: .5em;
}

.itemizedlist li ul li:first-child p:first-child {
  margin-top: -.6em;
}

ul.compact {
  list-style: none;
}

.blfs ul.compact {
  list-style: disc;
}

ul.compact li {
  margin: 0em;
  padding: 0em;
}

ul.compact li p {
  padding: 0.3em;
  margin: 0em;
}

.blfs ul.compact li p {
  background-color: #f0fff0;
}
/* END   itemizedlist */

/* BEGIN orderedlist */
ol       { list-style: decimal; }

ol ol    { list-style: lower-alpha; }

ol ol ol { list-style: lower-roman; }

ol.compact li {
  margin: 0em;
  padding: 0em;
}

ol.compact li p {
  padding: 0.3em;
  margin: 0em;
}
/* END   orderedlist */

/* Indented blocks */
p, blockquote {
  padding-left: 1em;
  padding-right: 1em;
}

/* BEGIN Monospaced elements */
tt, code, kbd, pre, .command {
  font-family: monospace;
}

.systemitem {
  font-style: italic;
}

pre {
  background-color: #e5e5e5;
  border: 1px solid #050505;
  padding: .5em 1em;
  margin: 0 2em .5em 2em;
  font-weight: bold;
}

pre.userinput {
  color: #101310;
}

pre.root {
  color: #101310;
  border: 1px solid #11a;
}

pre.screen {
  color: #000;
  background-color: #e9e9e9;
  font-weight: normal;
}

.literal, .prompt {
  font-weight: normal;
}
/* END   Monospaced elements */

/* Mixed tags */
p.usernotes {
  margin-left: -1em;
  font-size: small;
  font-weight: bold;
  font-style: italic;
}

.underlined { text-decoration: underline; }


/* Last edited info */
p.updated {
  font-size: small;
  font-weight: bold;
  font-style: italic;
}


/* Special colored blocks */
.feature-ssp          { color: #8B2500; }  /* OrangeRed4 */

.feature-aslr         { color: #3A5FCD; }  /* RoyalBlue3 */

.feature-pax          { color: #000080; }  /* NavyBlue */

.feature-hardened_tmp { color: #d02090; }  /* VioletRed */

.feature-warnings     { color: #668b8b; }  /* PaleTurquoise4 */

.feature-misc         { color: #bc8f8f; }  /* RosyBrown */

.feature-blowfish     { color: #8E6B23; }  /* Sienna*/
